Subject: Re: Bash complete (tab) slowdown?
From: David T-G <[email-masked]>
To: "CygWin Users' List" <[email-masked]>
Cc: Randall R Schulz <[email-masked]>
Date: Fri, 31 May 2002 15:20:52 -0500

Randall, et al --

...and then Randall R Schulz said...
% 
% BASH has hashing and provides some control over its operation:

How nice on both counts.

...
% BASH builds its hash as individual commands are invoked and found via the 

Aha!  So I wonder if the original problem happens for running the same
command again or only the first time a command is tabbed out.  QQ, can
you confirm or deny?

% PATH. For Tcsh to know these "up front," suggests, if not implies, that it 
% has to take the time to build that hash table which seems like it would 

I believe it does, and I should think that you are right.  I haven't
tried any tests, though.

% slow down the process of starting up, unless it keeps some form of this 
% hash in persistent (file) storage.

No, it definitely doesn't do that.

% 
% 
% Randall Schulz
% Mountain View, CA USA

HTH & HAND

:-D
-- 
David T-G                      * It's easier to fight for one's principles
(play) [email-masked] * than to live up to them. -- fortune cookie
(work) [email-masked]
http://www.justpickone.org/davidtg/    Shpx gur Pbzzhavpngvbaf Qrprapl Npg!